### Method

# Gtk Snapshot push_shadow

#### Declaration [src]

    void
    gtk_snapshot_push_shadow (
      GtkSnapshot* snapshot,
      const GskShadow* shadow,
      gsize n_shadows
    )

#### Description [src]

Applies a shadow to an image.

The image is recorded until the next call to gtk_snapshot_pop().

#### Parameters

`shadow` | `const GskShadow*`
| The first shadow specification.
| The data is owned by the caller of the function.
`n_shadows` | `gsize`
| Number of shadow specifications.